<template>
    <vue-plyr ref="plyr">
        <div data-plyr-provider="youtube" data-plyr-embed-id="bTqVqk7FSmY"></div>
    </vue-plyr>
</template>

<script>

  export default {
    name: "UserPlayer",
    props: ['source'],
    computed: {
      player() {
        return this.$refs.plyr.player
      },
    },
    mounted() {
      window.player = this.player;
      this.player.on('ready', () => {
        this.player.on('play', (event) => this.$emit('play', event));
        this.player.on('pause', (event) => this.$emit('pause', event));
        this.player.on('seeked', (event) => this.$emit('seek', event))
      })
    },
    watch: {
      source(newVal) {
        this.player.source = newVal;
      },
    }
  }
</script>

<style scoped>

</style>
